# System Integration for Care network Empowerment in Telemedicine

System integration PhD work, POC Solution Proposal

COVID-19 Pandemic is a case scenario

This project is a POC with APIs for service composition of prescribed health packages by health professionals.
The medical equipment is baught in drug stores while services are combined by health professionals at hospitals.
The backend service composition APIs can be used by anyone
The Web front-end is a demo written in JavaScript 
Care network can also be composed by health professionals and composed by end users as well
There is an integrated security model for telemedicine. 
For example, locally encrypted database on a client side

The project is a combination of home automation/service composition patient and care network client side with JavaScript GUI and Design.
It uses HL7 and other net4care components for inspiration ?
Fun stuff:

* Object model using OO principles
* Database Design using Relational NF
* SableCC for Service Composition? (FMK/KIH/PHMR and so on inspire from sundhed.dk) (instead of Graphical Language JoSEL for service composition. Idea of Patches) Maybe simulation for children using real world data ..?
* SableCC Security Policy management? (Patient and care network) 
* Server design and Rest API
* GUI using paper prototyping (HTML/CSS/JavaScript/Node.js)



